changeset 431:cfd1f896cc6f prerelease

Updated and fixed build_pd_heavy.sh
author Giulio Moro <giuliomoro@yahoo.it>
date Thu, 16 Jun 2016 20:02:05 +0100
parents 2e01a9d6cb58
children 8c4b97cc63b8
files scripts/build_pd_heavy.sh
diffstat 1 files changed, 5 insertions(+), 3 deletions(-) [+]
line wrap: on
line diff
--- a/scripts/build_pd_heavy.sh	Thu Jun 16 19:25:01 2016 +0100
+++ b/scripts/build_pd_heavy.sh	Thu Jun 16 20:02:05 2016 +0100
@@ -5,7 +5,7 @@
 #
 # example usage: sh upload-and-compile.sh -f bwg-tests -q -e
 
-trap "{ echo "";exit 0; }" SIGINT SIGTERM
+trap "{ echo "";exit 0; }" 2 
 
 workingdir=".."
 verbose="0"
@@ -15,7 +15,7 @@
 WATCH="0"
 FORCE="0"
 #make sure the paths have the trailing / . 
-projectpath="../projects/heavy/hvtemp/"
+projectpath="../tmp/heavy/hvtemp/"
 [ -z "$BBB_ADDRESS" ] && BBB_ADDRESS="root@192.168.7.2"
 [ -z "$BBB_BELA_HOME" ] && BBB_BELA_HOME="~/Bela/"
 [ -z "$BBB_PROJECT_HOME" ] && BBB_PROJECT_HOME="${BBB_BELA_HOME}/projects/"
@@ -100,6 +100,9 @@
   RELEASE_STRING="-r $release"
 fi
 
+#create destination folder if it does not exist"
+mkdir -p "$projectpath"
+
 uploadBuildRun(){
     if [ $NO_UPLOAD -eq 0 ]; then
         # remove old static files to avoid obsolete errors
@@ -159,7 +162,6 @@
     if [ $NO_UPLOAD -eq 0 ]; then
         ssh $BBB_ADDRESS "rm -rf "$BBB_PROJECT_FOLDER/$BBB_PROJECT_NAME;
     fi;
-    SCREEN_NAME=Bela
     # Make new Bela execut/able and run
     # It does not look very nice that we type the same things over and over
     # but that is because each line is an ssh session in its own right